kudu-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Boris Tyukin <bo...@boristyukin.com>
Subject kudu-client dependencies
Date Wed, 02 Jan 2019 19:44:08 GMT
Hi guys,

sorry for a dumb question but why kudu-client.jar does not include async
and slf4j-api and slf4j-simple libs? I need to call Kudu API from a simple
groovy script and had to add 3 other jars explicitly.

I see these libs were excluded on purpose:
https://github.com/apache/kudu/blob/master/java/kudu-client/build.gradle

Kafka client, for example, is a single jar.

My challenge now which version of these libs to pick, how to support them
so they won't break in future etc.

Even on CDH cluster, while kudu client is shipped with parcel, one has to
know exact versions of other 3 jars for client to work.

Maybe I am missing something here and there is an easy way, especially on
CDH since it ships already with Kudu.

Boris

Mime
View raw message